<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libupnp</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/libupnp <br/>
</div><!-- file-list -->

             <pre class="license-text">
Copyright (c) 2000&ndash;2003 Intel Corporation
Copyright (c) 2018 Jean&ndash;Francois Dockes &lt;jfd@recoll.org&gt;
Copyright (c) 2006 Rémi Turboult &lt;r3mi@users.sourceforge.net&gt;
Copyright (c) 1996&ndash;1999 by Internet Software Consortium.
Copyright (c) 2012 France Telecom All rights reserved.
Copyright (C) 2011&ndash;2012 France Telecom All rights reserved.
Copyright (C) 2012 France Telecom All rights reserved.
Copyright (c) 1990&ndash; 1993, 1996 Open Software Foundation, Inc.
Copyright (c) 1989 by Hewlett&ndash;Packard Company, Palo Alto, Ca. &amp;
Copyright (c) 1998 Microsoft.


Software:UPnP SDK for Linux &ndash; libupnp 1.14.12

Copyright notice:
Copyright (c) 1996&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2004 Scott James Remnant
Copyright (c) 2012&ndash;2015 Dan Nicholson
Copyright (c) 2002&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2011&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2001&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 1997&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 1999&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2003&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2009&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2006&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2021 Vollstrecker (werner@vollstreckernet.de)
Copyright (c) 1992&ndash;1996, 1998&ndash;2012 Free Software Foundation, Inc.
Copyright (c) 2012 Free Software Foundation, Inc.
Copyright (c) 2014 Free Software Foundation, Inc.
Copyright (c) 2005&ndash;2007 Remi Turboult
Copyright (c) 2000&ndash;2003 Intel Corporation
Copyright (c) 2005 Remi Turboult
Copyright (c) 1994&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 2010&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 1992&ndash;2020 Free Software Foundation, Inc.
Copyright (c) 1994 X Consortium
Copyright (c) 1996&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2010&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2020 Marcelo Roberto Jimenez
Copyright (c) 2005 Remi Turboult
Copyright (c) 2012 France Telecom
Copyright (c) 2006 Remi Turboult
copyright (c) 1998 the designated authors and translators, and the Computing Center, Academia Sinica.
copyright (c) 1998 Rick Jelliffe and Computing Center, Academia Sinica.
Copyright (c) 1998 Academia Sinica Computing Center
Copyright (c) 2006 Guido U. Draheim
Copyright (c) 2008 Steven G. Johnson
Copyright (c) 2011 Daniel Richard G.
Copyright (c) 2008 Guido U. Draheim
Copyright (c) 1996&ndash;2001, 2003&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2011 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007&ndash;2009, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007&ndash;2008, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007, 2009, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2011&ndash;2012 France Telecom
Copyright (c) 2006 Remi Turboult
Copyright (c) 2003&ndash;2008 aMule Team
Copyright (c) 2007 Marcelo Roberto Jimenez
Copyright (c) 1996&ndash;1999 by Internet Software Consortium
Copyright (c) 1990&ndash;1993, 1996 Open Software Foundation, Inc.
Copyright (c) 1989 by Hewlett&ndash;Packard Company, Palo Alto, Ca. &amp; Digital Equipment Corporation, Maynard, Mass
Copyright (c) 1998 Microsoft.
Copyright (c) 2018 Jean&ndash;Francois Dockes

License:BSD 3&ndash;Clause License
Copyright (c) 2000&ndash;2003 Intel Corporation
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
